### Method

# GUPnP RootDevice get_description_document_name

#### Declaration [src]

    const char*
    gupnp_root_device_get_description_document_name (
      GUPnPRootDevice* root_device
    )

#### Description [src]

Gets the name of the description document as hosted via HTTP.

#### Return value

Type: `const char*`

The relative location of `root_device`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.